> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

> Retrieve details of a specific list member.

## Method

`GET` `/v1/comms/lists/:id/members/:memberId`

## Path Parameters

<ParamField path="id" type="string" required>The list ID.</ParamField>
<ParamField path="memberId" type="string" required>The member ID.</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (requires `comms:read`).</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.voyantcloud.com/v1/comms/lists/lists_01J0CBFPXW7SP2N8A9Q7T2048Q/members/list_members_01J0CBFPXW7SP2N8A9Q7T2048Q" \
    -H "Authorization: Bearer $VOYANT_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const listId = "lists_01J0CBFPXW7SP2N8A9Q7T2048Q"
  const memberId = "list_members_01J0CBFPXW7SP2N8A9Q7T2048Q"
  const res = await fetch(
    `https://api.voyantcloud.com/v1/comms/lists/${listId}/members/${memberId}`,
    {
      headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
    }
  )
  const member = await res.json()
  ```

  ```python Python theme={null}
  import os, requests

  list_id = "lists_01J0CBFPXW7SP2N8A9Q7T2048Q"
  member_id = "list_members_01J0CBFPXW7SP2N8A9Q7T2048Q"
  resp = requests.get(
    f"https://api.voyantcloud.com/v1/comms/lists/{list_id}/members/{member_id}",
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  member = resp.json()
  ```
</RequestExample>

## Response Example

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "list_members_01J0CBFPXW7SP2N8A9Q7T2048Q",
    "list_id": "lists_01J0CBFPXW7SP2N8A9Q7T2048Q",
    "person_id": "people_01HZYPM2QF2R8X9SZQ0J9SYBCN",
    "status": "subscribed",
    "source": "api",
    "subscribed_at": "2025-01-08T10:22:31.000Z",
    "unsubscribed_at": null,
    "created_at": "2025-01-08T10:22:31.000Z",
    "person": null
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "error": "Member not found"
  }
  ```
</ResponseExample>
